Create a code review run

Creates a code review between two Bubble versions and starts the linked review agent conversation.

POST /api/public/v1/code-reviews
Bearer token

Body

· CreateCodeReviewRequest
required application/json

Code review configuration describing the app, versions, and optional reviewer guidance.

appId string · min length: 1 required

Bubble app ID for the workspace project this request targets.

fromVersion string · min length: 1 required

Source branch or version name used by the request.

toVersion string · min length: 1 required

Target branch or version name used by the request.

model ChatModelId · enum

Model identifier to use for the run.

values

  • claude-fable-5
  • claude-fable-5.1
  • claude-opus-5
  • claude-sonnet-5
  • openai-gpt-6-astra
  • openai-gpt-5.6-sol
title string · min length: 1

Short human-readable title for the resource.

focuses array of string · min items: 1

Enabled Radar result categories.

values

  • bugs
  • security
  • maintainability
  • technical_changelog
  • product_changelog
completionWebhookUrl string · uri

Webhook URL Buildprint will call when the run completes.

userEmail string · email

Email of the Buildprint user whose provider credentials should be used.

Responses